Reconnect Vr Pairing

Reconnect Vr Pairing
Reconnect the existing pairing to the remote vSphere Replication Management Server (VRMS).

Reconnect the existing pairing to the remote vSphere Replication Management Server (VRMS).

Request
URI
POST
https://{api_host}/pairings/{pairing_id}/actions/reconnect
COPY
Path Parameters
string
pairing_id
Required

The ID of the pairing between this vSphere Replication server and the remote one.


Request Body

Reconnect with the remote server spec.

PairingSpec of type(s) application/json
Required

Show optional properties

{
    "pair_psc_info": {},
    "pair_vc_id": "string"
}
{
    "pair_psc_info": {
        "url": "string",
        "port": 0,
        "thumbprint": "string",
        "certificate": "string",
        "username": "string",
        "password": "string"
    },
    "pair_vc_id": "string"
}
object
pair_psc_info
Required

Information about the pair Platform Services Controller.

string
pair_vc_id
Required

The ID of the remote vCenter Server.

Authentication
This operation uses the following authentication methods.
Responses
202

Reconnect pairing task.

Returns TaskDrResponseEntity of type(s) application/json
This response body class contains all of the following: Task , InlineTaskDrResponseEntity1
{
    "id": "string",
    "description": "string",
    "description_id": "string",
    "entity": "string",
    "entity_name": "string",
    "status": "string",
    "error": {
        "message": "string",
        "details": "string"
    },
    "result": {},
    "progress": 0,
    "queued_time": 0,
    "start_time": 0,
    "complete_time": 0,
    "_meta": {
        "errors": [
            {
                "code": "string",
                "message": "string",
                "field": "string"
            }
        ]
    }
}

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


404

Not Found - server cannot find the requested in URL resource

Operation doesn't return any data structure

500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"pair_psc_info":"object","pair_vc_id":"string"}' https://{api_host}/pairings/{pairing_id}/actions/reconnect